Subject: [bug#28404] The complete Google Noto Fonts

From: ng0 <[email-masked]>
Date: Mon, 11 Sep 2017 10:57:04 +0000

Ludovic Courtès transcribed 1.2K bytes:
> Hi ng0,
> 
> ng0 <[email-masked]> skribis:
> 
> > These patches add all of Google Noto font.
> >
> > Be aware that you will need at least 600 MB for the source tarballs.
> > There are only 5 real big tarballs, the rest is small.
> >
> > You will have 86 or 87 patches, so if you want to test it in another
> > way try adding my guix developer repository at
> > https://gitweb.krosos.org/ng0_guix/guix if I fixed it
> > (otherwise git://git.krosos.org/srv/git/ng0/ng0_guix/guix works).
> 
> Woow, impressive piece of work!

Thanks.

> > The only things which really are unique are:
> > filenames + name + variable name + hash
> 
> To me, that clearly suggests that we need a function to produce the
> package, like:
> 
>   (define (google-noto-font-package name hash)
>     (package
>       (name (string-append "font-google-" (camel-case->hyphens name)))
>       …))
> 
> Could you look into that?

I thought about this while I worked on it, but I was running out of
free time. I'll see if I can resolve this. I'll get back to this thread
with questions or results.

> > As Google (and 99% of all fonts out there) update in place,
> > I have a versioned inofficial mirror directory in case we
> > should ever want to use it.
> 
> That’s a bummer.  Are you sure there’s no versioned URL somewhere?

I'm absolutely sure that there is no official download link with versions.
This problem is a basic condition in the font distribution, you have met
a happy exception if you have some kind of version in the name of the
distributed archive file and even more so when you have no file updating
in place.
If we find no other solution, my server is located in Germany, has enough
diskspace (fonts aren't that big) and I have fair-use uncapped bandwidth
(if I hit some kind of TBs/month limit, monthly fee will be adjusted.
same network, different server: 40+ TB tor node was okay).
I would not be happy with this, but I'd do it. Google should provide versions
but try to get Google to do anything which is not giving up on projects
in ramdon patterns… :/ People and projects already fail with Chromium requests,
no idea if I can convince them to version the fonts. It's not like they
don't have the diskspace.

> Alternatively, could we build from source with FontForge or something?

Well they are build from source, and the source is on github.
for cjk: https://github.com/googlei18n/noto-cjk
not cjk: https://github.com/googlei18n/noto-fonts
emoji: https://github.com/googlei18n/noto-emoji
and they seem to use noto-tools for building, but I haven't looked
into the build process at all.
We want to avoid download large source repository checkouts
or large tarballs, this was one of the problems this project
was set out to solve.

If someone could look into the build process and describe it here
and how big the repositories are, this would save a good amount
of time for me (can't look into it that much this week I think).

> An example of that is ‘font-linuxlibertine’.
> 
> Thanks,
> Ludo’.
> 

-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://krosos.org/dist/keys/
https://www.infotropique.org https://www.krosos.org